{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function fieldcount, msg,  security_check, test\r\ndeclare function set_printer, print_recipe\r\ndeclare subroutine security_err_msg\r\n$insert msg_equates\r\n$insert security_rights_equ\r\n\r\nif security_check( 'Recipe', Print$ ) then\r\n\tQbfList = get_property( @window, 'QBFLIST' )\r\n\tCurId   = .recipe_no->text\r\n\tif QbfList then\r\n\t    Ids = QbfList\r\n\tend else\r\n\t    Ids = CurId\r\n\tend\r\n\tIdCnt = fieldcount( Ids, @fm )\r\n\tif IdCnt > 1 then\r\n\t    * prompt user to print all\r\n\t    MsgInfo = ''\r\n\t    MsgInfo<mtext$> = 'Do you wish to print all recipes in current QBF List?'\r\n\t    MsgInfo<micon$> = '?'\r\n\t    MsgInfo<mtype$> = 'BNYC'\r\n\t    Ans = msg( '', MsgInfo )\r\n\t    if Ans = 0 then\r\n\t        * print only the current one\r\n\t        Ids = CurId\r\n\t    end else\r\n\t        if Ans <> 1 then\r\n\t            * user canceled\r\n\t            return 0\r\n\t        end\r\n\t    end\r\n\tend\r\n\tif Ids <> '' then\r\n\t    MsgInfo = ''\r\n\t    MsgInfo<mtext$> = 'Do you wish to print the OVERRIDDEN INFO ONLY???'\r\n\t    MsgInfo<micon$> = '?'\r\n\t    MsgInfo<mtype$> = 'BNYC'\r\n\t    OvrOnly = msg( '', MsgInfo )\r\n\t    if ( OvrOnly = 1 ) or ( OvrOnly = 0 ) then\r\n\t       Void = print_recipe( Ids, OvrOnly )\r\n\t    end\r\n\tend else\r\n\t    MsgInfo = ''\r\n\t    MsgInfo<mtext$> = 'You must have a Recipe present.'\r\n\t    MsgInfo<micon$> = '!'\r\n\t    Void = msg( '', MsgInfo )\r\n    end\r\nend else\r\n   security_err_msg( 'Recipe', Print$ )\r\nend\r\nRETURN 0"
        }
    }
}